﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace RasterThinkGeoTest
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));   
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);   
                Map1.MapUnit = GeographyUnit.DecimalDegree;   
  
                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();   
                Map1.CustomOverlays.Add(worldMapKitOverlay);   
            }
        }
    }
}
